View Issue Details

IDProjectCategoryLast Update
0001062HellionBug2019-04-24 12:09
ReporterSnakierDrip6Assigned To 
PrioritynormalReproducibilityalways 
Status acknowledged 
Product Version0.4.1 
Target Version0.4.2Fixed in Version 
Summary0001062: Space Station Disappearing After Warp Out
Description

This... Is a really painful one. This is the glitch that stopped me from playing Hellion any further, and its halted my story completely. I would get in my ship to get resources and visit abandoned stations, and I warp out of my station. As soon as I reach my destination and get out of warp, after about 2 minutes, my station disappears from the map completely, the 'home station' button goes red, and it's completely gone. Its really disappointing and happens every time I warp away from the station. It didn't happen before in the same save, but happens now for some reason. My station is always at full health, and I keep it that way with nanite cores. So it isn't deterioration. The only way to fix this is to load an older save before you warped. Even when you reload that save, if you try to warp it still happens, and I end up stranded again. Its the one glitch that has stopped me in my tracks, and I have no way to deal with it.

Steps To Reproduce

All you need to do is warp out while having the haven set as your command module. About 5 min after you warp out, its completely disappeared off of the map completely and I cant get home.

TagsNo tags attached.

Activities

Shomy

Shomy

2019-04-12 11:37

administrator   ~0002027

Hi @SnakierDrip6 can you upload a save file before the jump so we can check it out, also can you try to warp back to the point where your base is, it should not be destroyed, we think it's just a navmap bug that doesn't show the base anymore. Just screenshot the coordinates of the station and once it's gone from the map enter them manually and warp to it. It should be there.

SnakierDrip6

SnakierDrip6

2019-04-12 16:54

reporter   ~0002032

Hey, thanks for responding so quick.
I've attempted to do what you said with the manual entering of coordinates, and when I entered them and warped, my station was still non-existent. Even set the radar range to max. Seems like it completely vanished. I even have a vid of me warping to it, and then it just plopping away.



HELLION 2019-04-12 10-34-42_Trim.mp4 (1,219,017 bytes)
Shomy

Shomy

2019-04-12 16:59

administrator   ~0002033

I see. If you can upload save file that would be useful for us to debug this issue. Its located here:

\Steam\steamapps\common\HELLION\HELLION_Data\HELLION_SP

Make sure that the save file is before the warp so we can reproduce the issue to see what is happening.

SnakierDrip6

SnakierDrip6

2019-04-12 17:03

reporter   ~0002034

Also, How do I send you the save file? Im not sure how to

SnakierDrip6

SnakierDrip6

2019-04-12 17:06

reporter   ~0002035

It says the file is too big. Do you have an email or something I can send it to?

Shomy

Shomy

2019-04-12 17:07

administrator   ~0002036

you can send it to support@zerogravitygames.com

SnakierDrip6

SnakierDrip6

2019-04-12 17:10

reporter   ~0002037

Ok, ive sent the save file.

Shomy

Shomy

2019-04-12 17:11

administrator   ~0002038

Thank you so much! This will help us a lot and we will probably be able to fix this for the next patch.

SnakierDrip6

SnakierDrip6

2019-04-12 17:14

reporter   ~0002039

No problem!

Shomy

Shomy

2019-04-17 15:02

administrator   ~0002053

Hi, @SnakierDrip6 thanks to your save file we found the issue and it's resolved, we just need to do some tests to make sure of it. Also to give you info on how you can avoid it in your single play now is to detach the Power Supply Module because he is the reason why the station is disappearing. The bug happens when you take modules from Junkyards, they do not get removed from respawning timer and once the module is connected to your base that timer propagates to the whole station. The timer is set to ~20 minutes but it's not doing the respawn if the player is nearby, so that is why it's happening only when you warp away from the station. Anyway, we will test this in the next few days and push the fix when we are ready for the next patch. Thank you once more for helping out!

SnakierDrip6

SnakierDrip6

2019-04-18 03:59

reporter   ~0002054

Ohhhh this makes a lot of sense. Thank you so much for being quick on this issue, and now I know what to do. I also have another bug reported on here as well, (https://feedback.zerogravitygames.com/view.php?id=1075) about my multiplayer server progress disappearing, and before I logged off, I had the power module connected, so this might be why I couldn't log back in because my station and cryo-pod disappeared.

Zorz

Zorz

2019-04-19 11:00

reporter   ~0002056

@shomy
"Hi, @SnakierDrip6 thanks to your save file we found the issue and it's resolved, we just need to do some tests to make sure of it. "

please, please don't write that u found and fixed something befor u are REALLY sure.

maybe u are right and it is/was the PSM, but the % of that it was really the PSM is near 0..

as u already know the original bugreport is this one:

https://feedback.zerogravitygames.com/view.php?id=947

the report in steam is this one:

https://steamcommunity.com/app/588210/discussions/2/1742227898983796635/

and as u already know the same issue/bug happen in MP-multiplayer too. homestation button red in MP with authorization, base completly invisible if u warp to it is ALL the same issue in MP, BUT in MP u can do a relog and the invisible base is visible.

so if u think that the PSM force the bug than why a relog helps in MP to make it visible? i have not tested red homestation button and visibility without a PSM, but the fact that it already works with PSM most times makes me thinking that the PSM isn't really the reason for the bug, or not the only reason.

so please don't wake hopes in forums like in the linked steam one as long u are not really sure that it is 100% fixed.

u know, the bug that that system-fail message pops up after u start to repair is still ingame and u already said 6 times or more that it is fixed and 1 year later it's still not fixed.. ;)

snapshot

snapshot

2019-04-20 23:23

reporter   ~0002060

@Shony
"Also to give you info on how you can avoid it in your single play now is to detach the Power Supply Module because he is the reason why the station is disappearing"

Does this workaround apply to all players or just for SnakierDrip6's savefile ? The root cause of the bug (cascading despawning timer) makes sense for me because it matches with what I experienced, however, I'm a little bit surprised it's only related to a PSM... because I've never had any problem whith a PSM, but only with the CM. You can check https://steamcommunity.com/app/588210/discussions/2/1742227898983796635/?ctp=2#c1846946102863133079 where I documented how I rebuild my base with a CM. No problem before. Unplayable after I attached the CM (my base keeps disapearing as soon as I warp out)

I've get rid of the CM, and since, I can play again with no disappearing base

snapshot

snapshot

2019-04-23 20:58

reporter   ~0002066

I've just did a test with an old savefile : I've removed the PSM, keeping the CM, and warped out. My home base disappeared like before. The problem does not come from the PSM

Shomy

Shomy

2019-04-24 12:09

administrator   ~0002067

Sorry for the confusion, respawn timer has already been propagated to the whole station once PSM was attached, so you could potentially fix it only by loading the save before you attach it. Also, this bug does apply to all modules taken from Junkyard, in this particular case it was PSM but as I said it can be any module. We fixed this and it will be in the next patch coming out soon.

Issue History

Date Modified Username Field Change
2019-04-12 04:27 SnakierDrip6 New Issue
2019-04-12 11:37 Shomy Note Added: 0002027
2019-04-12 11:37 Shomy Status new => investigating
2019-04-12 16:54 SnakierDrip6 File Added: HELLION 2019-04-12 10-34-42_Trim.mp4
2019-04-12 16:54 SnakierDrip6 Note Added: 0002032
2019-04-12 16:59 Shomy Note Added: 0002033
2019-04-12 17:03 SnakierDrip6 Note Added: 0002034
2019-04-12 17:06 SnakierDrip6 Note Added: 0002035
2019-04-12 17:07 Shomy Note Added: 0002036
2019-04-12 17:10 SnakierDrip6 Note Added: 0002037
2019-04-12 17:11 Shomy Note Added: 0002038
2019-04-12 17:14 SnakierDrip6 Note Added: 0002039
2019-04-17 15:02 Shomy Note Added: 0002053
2019-04-17 15:02 Shomy Status investigating => acknowledged
2019-04-17 15:03 Shomy Target Version => 0.4.2
2019-04-18 03:59 SnakierDrip6 Note Added: 0002054
2019-04-19 11:00 Zorz Note Added: 0002056
2019-04-20 23:23 snapshot Note Added: 0002060
2019-04-23 20:58 snapshot Note Added: 0002066
2019-04-24 12:09 Shomy Note Added: 0002067